/*!
Theme Name: DOGO - Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
/* :root {
	--global-content-edge-padding: 4vw !important;
} */

.is-centered {
	text-align: center;
}

.text-justify {
	text-align: justify !important;
}

.text-nowrap {
	white-space: nowrap !important;
}

/* =====================================================================================================================
| BUTTONS
===================================================================================================================== */

.kt-button {
	/* white-space: nowrap; */
	text-wrap-mode: wrap;
}

/* =====================================================================================================================
| MOBILE MIESZKANIA
===================================================================================================================== */
.mobile-mieszkania {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.mobile-mieszkanie {
	flex: 1;
	margin-bottom: 30px;
}

@media screen and (min-width: 745px) {
	.mobile-mieszkania {
		flex-direction: row;
		flex-wrap: wrap;
	}
	.mobile-mieszkanie {
		flex: 0 0 calc(50% - 7.5px);
	}
}

@media screen and (min-width: 1280px) {
	.mobile-mieszkania {
		display: none;
	}
}

/* =====================================================================================================================
| DESKTOP MIESZKANIA
===================================================================================================================== */
.desktop-mieszkania {
	display: none;
}

@media screen and (min-width: 1280px) {
	.desktop-mieszkania {
		display: block;
	}
}

/* =====================================================================================================================
| TABELA MOBILE
===================================================================================================================== */

.table-mieszkanie {
	border-collapse: collapse;
	width: 100%;
}

.table-mieszkanie tr:nth-child(even) {
	background-color: #fafafa;
	/* Lekki szary kolor – możesz zmienić na inny, np. #e0e0e0 */
}

.table-mieszkanie tr:hover td {
	background-color: #ececec;
}

.table-mieszkanie tbody td {
	font-weight: 500;
	text-align: left;
	padding: 0.5rem;
}

.table-mieszkanie tbody td.th {
	font-weight: 700;
	text-align: left;
	padding: 0.5rem;
}

/* =====================================================================================================================
| TABELA
===================================================================================================================== */

.table-mieszkania {
	border-collapse: collapse;
}

.table-mieszkania thead tr {
	background-color: white !important;
}

.table-mieszkania tr:nth-child(even) {
	background-color: #fafafa;
	/* Lekki szary kolor – możesz zmienić na inny, np. #e0e0e0 */
}

.table-mieszkania tr:hover td {
	background-color: #ececec;
}

.table-mieszkania thead th {
	font-weight: 700;
	text-align: left;
	border-bottom: 2px solid black;
	padding: 0.5rem;
}

.table-mieszkania tbody td {
	font-weight: 500;
	text-align: left;
	padding: 0.5rem;
}

/* statusy ===========================================================================================================*/

.is-status {
	font-weight: 700 !important;
}

.is-status.is-zarezerwowane {
    color: #F47E25;
}

.is-status.is-wolne {
    color: #52a55d;
}

.is-status.is-sprzedane {
    color: red;
}

/* =====================================================================================================================
| TABELA HISTORIA CEN
===================================================================================================================== */

.price-history-table {
	border-collapse: collapse;
}

.price-history-table thead th {
	font-weight: 700;
	text-align: left !important;
	border-bottom: 2px solid black;
	padding: 0.5rem;
}

/* =====================================================================================================================
| WP VR
===================================================================================================================== */

@media (min-width: 1025px) {
	.single-mieszkanie #master-container.wpvr-cardboard {
		height: 100% !important;
	}
}

/* floor map =========================================================================================================*/

.show-floor-map {
	cursor: pointer;
	position: relative;
}

.show-floor-map-overlay {
	transition: all .5s;
	opacity: 0;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(128, 128, 128, .8);
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: white;
	text-transform: uppercase;
}

.show-floor-map:hover .show-floor-map-overlay {
	opacity: 1;
}

.floor-plan-pointer {
	transform: scale(1.5);
}

/* =====================================================================================================================
| KARTA MIESZKANIA
===================================================================================================================== */

/* przycisk plik =====================================================================================================*/

.is-product-info .wp-block-file a {
	display: none;
}

.is-product-info .wp-block-file {
	display: block;
	margin: 0 auto
}

.is-product-info .wp-block-file a.wp-block-file__button.wp-element-button {
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	margin: 0 auto;
	text-align: left;
	line-height: 1;
	font-size: 16px;
	color: black;
	padding-right: 30px;
	background-color: white;
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/pdf-icon-30x30-1.png');
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/prospekt-informacyjny.png');
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 25px;
	/* min-width: 130px; */

}

/* przycisk modal ====================================================================================================*/

.is-product-info .kt-button.wp-block-button__link.kt-modal-label-show.kt-blocks-modal-link {
	display: block;
	margin: 0 auto;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	/* white-space: pre; */
	line-height: 1;
	font-size: 16px;
	text-align: left;
	background-color: white;
	color: black;
	padding-right: 30px;
	/* background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/pdf-icon-30x30-1.png'); */
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/historia-cen.png');
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 25px;
	/* min-width: 130px; */
}

/* przycisk ==========================================================================================================*/

.is-product-info .kb-button {
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	margin: 0 auto;
	text-align: left;
	line-height: 1;
	font-size: 16px;
	color: black !important;
	background-color: white !important;
	padding-right: 30px;
	/* background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/pdf-icon-30x30-1.png'); */
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/karta-katalogowa.png');
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 25px;
	/* min-width: 130px; */
}

.is-product-info .kb-button:hover {
	color: black !important;
	background-color: white;
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/karta-katalogowa.png') !important;
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 25px;
	box-shadow: 0px 15px 25px -7px rgba(0, 0, 0, .1);
}

/* mody wygladu tabelek w info o produkcie ===========================================================================*/

.is-product-info .kb-table .kb-table-row:not(.kb-table-row .kb-table-row) {
	display: flex !important;
	background-color: #e7e7e7 !important;
}

.is-product-info .kb-table tr td:not(td td),
.is-product-info .kb-table tr th:not(td th) {
	display: block;
	border-radius: 15px;
	flex-basis: 100%;
	background-color: white !important;
}

.is-product-info .has-buttons .kb-table tr td:not(td td) > *,
.is-product-info .has-buttons .kb-table tr th:not(td th) > * {
	display: inline;
}

.is-product-info .has-buttons .kb-table tr td:not(td td) > * > .kt-button {
	display: flex;
	justify-content: flex-start;
}

.is-product-info .kb-table:first-of-type tr:not(tr tr) {
	background-color: #7ee7e7 !important;
	flex-basis: 100%;
}

.is-product-info .has-buttons:first-of-type tr:not(tr tr) {
	display: flex;
}

.is-product-info .has-buttons tr:not(tr tr) {
	flex-direction: column;
}

@media (min-width: 831px) and (max-width: 1024px) {
	.is-product-info .has-buttons tr:not(tr tr) {
		flex-direction: row;
	}
}

@media (min-width: 1025px) and (max-width: 1501px) {
	.is-product-info .has-buttons tr:not(tr tr) {
		flex-direction: column;
	}
}

@media (min-width: 1502px) {
	.is-product-info .has-buttons tr:not(tr tr) {
		flex-direction: row;
	}
}

/* =====================================================================================================================
| MIESZKANIE GALERIA
===================================================================================================================== */

.custom-mieszkanie-galeria {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

@media screen and (min-width: 450px) {
	.custom-mieszkanie-galeria {
		flex-direction: row;
	}
}

.custom-mieszkanie-galeria-item {
	flex: 1;
}

.custom-mieszkanie-galeria-item img{
	border-radius: 15px;
}

/* =====================================================================================================================
| IMAGE MAP SHAPES
===================================================================================================================== */

.has-shape.has-status.is-zarezerwowane {
	opacity: 0.3;
	fill: #fc7813 !important;
}
.has-shape.has-status.is-zarezerwowane:hover {
	opacity: 0.6;
	fill: #fc7813 !important;
	stroke: rgba(255, 255, 255, 0.52);
	stroke-width: 1px;
	stroke-dasharray: 0;
	stroke-linecap: round;
}

.has-shape.has-status.is-sprzedane {
	opacity: 0.3;
	fill: red !important;
}
.has-shape.has-status.is-sprzedane:hover {
	opacity: 0.6;
	fill: red !important;
	stroke: rgba(255, 255, 255, 0.52);
	stroke-width: 1px;
	stroke-dasharray: 0;
	stroke-linecap: round;
}

/* =====================================================================================================================
| IMAGE MAP TOOLTIP
===================================================================================================================== */

/* close button ======================================================================================================*/
.imp-tooltips-container.is-fullscreen .imp-fullscreen-tooltip .imp-tooltip-close-button .imp-icon {
	width: 20px;
	height: 20px;
	padding: 12px;
	box-sizing: content-box;
	transform: translate(-20px, -5px);
}

.imp-tooltip {
	border: 2px solid black !important;
	border-radius: 10px !important;
	width: auto !important;
}

.imp-tooltip-content {
	background-color: transparent !important;
	color: black !important;
	padding: 10px 0 !important;
	box-shadow: 0px 15px 25px -7px rgba(0, 0, 0, .1) !important;
}

.imp-tooltip-content > * {
	padding: 5px 20px !important;
}

.flat-status-tooltip {
	padding: 10px 20px !important;
	text-align: center;
	text-transform: uppercase;
}

.imp-tooltip .d-flex {
	display: flex !important;
	justify-content: space-between !important;
	gap: 15px !important;
}

.imp-tooltip .d-flex * {
	white-space: nowrap !important;
}













/* ======================================================================================================== */
.entry-content table {
    /*word-break: break-word !important;*/
}

/* .kb-modal-content:not(.kb-modal-content .kb-modal-content) {
  position: relative;
  z-index: 1;
} */

/* p inside table */
.kb-table-data p {
	margin: 0;
}

/* .wp-block-file.is-tablelink a {
	display: none;
} */

/* .wp-block-file.is-tablelink {
	display: block;
	margin: 0 auto
} */

/* .is-product-info .wp-block-file a.wp-block-file__button.wp-element-button {
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	margin: 0 auto;
	text-align: left;
	line-height: 1;
	font-size: 16px;
	background-color: white;
	color: black;
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/pdf-icon-30x30-1.png');
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 20px;
	min-width: 130px;
	
} */

/* .is-tablelink .kt-button.wp-block-button__link.kt-modal-label-show.kt-blocks-modal-link {
	display: block;
	margin: 0 auto;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	white-space: pre;
	line-height: 1;
	font-size: 16px;
	text-align: left;
	background-color: white;
	color: black;
	background-image: url('https://360.dogosystem.pl/wp-content/uploads/2025/10/pdf-icon-30x30-1.png');
	background-repeat: no-repeat;
	background-position: 96% center;
	background-size: 20px;
	min-width: 130px;
} */



/* .show-floor-map {
	cursor: pointer;
	position: relative;
}

.show-floor-map-overlay {
	transition: all .5s;
	opacity: 0;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(128, 128, 128, .8);
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: white;
	text-transform: uppercase;
}

.show-floor-map:hover .show-floor-map-overlay {
	opacity: 1;
} */

/* @media (min-width: 1025px) {
	#master-container.wpvr-cardboard {
		height: 100% !important;
	}
} */

/* modal */
/* .kt-modal-container:not(.kt-modal-container .kt-modal-container) {
    padding-top: 0 !important;
    padding-right: 0 !important;
    padding-bottom: 0 !important;
    padding-left: 0 !important;
    margin-top: 0 !important;
    margin-right: 5px !important;
    margin-bottom: 0 !important;
    margin-left: 5px !important;
} */


    
/* .kt-modal-container:not(.kt-modal-container .kt-modal-container) .kt-row-column-wrap {
    padding-top: 1px !important;
    padding-right: 1px !important;
    padding-bottom: 1px !important;
    padding-left: 1px !important;
} */

/* .is-dtab .kt-modal-linkalign-center {
    text-align: left !important;
} */

/* .kt-button {
	white-space: nowrap;
} */

/* table */
/* table {
    margin: 0 0 0 0 !important;
} */

/* is-dtab */
.is-dtab {
	padding-left: 30px;
	padding-right: 30px;
}

.is-dtab tr:hover td {
	background-color: whitesmoke;
}

.is-dtab.kb-table-container > table > tbody > tr > th {
    text-align: left !important;
	border-bottom: 2px solid black;
}

.is-dtab.kb-table-container > table > tbody > tr > td {
    font-weight: 500;
}

.is-dtab.kb-table-container > table > tbody > tr > td:nth-child(7),
.is-dtab.kb-table-container > table > tbody > tr > td:nth-child(8){
    white-space: nowrap;
}

.is-dtab.kb-table-container > table > tbody > tr > td:nth-last-child(2) {
    font-weight: 700;
}

/* is-mtab */

.is-mobile .wp-block-kadence-column {
	border-bottom: 1px solid gray;
}

.is-mobile .wp-block-kadence-modal {
	padding-top: 15px;
	padding-bottom: 15px;
	padding-left: 15px;
	padding-right: 15px;
}

.is-mobile .kt-button.kt-modal-label-show {
	width: 100%;
}

.is-mtab {
	padding-left: 30px;
	padding-right: 30px;
}

.is-mtab tr:hover td {
	background-color: whitesmoke;
}

.is-mtab.kb-table-container > table > tbody > tr > td:last-child {
	text-align: right;
	font-weight: 500;
}

.is-mtab.kb-table-container > table > tbody > tr:last-child > td:last-child,
.is-mtab.kb-table-container > table > tbody > tr:nth-child(2) > td:last-child,
.is-mtab.kb-table-container > table > tbody > tr > td:first-child {
    font-weight: 700;
}

/* statusy */

p.is-reserved {
    color: #F47E25;
}

p.is-available {
    color: #52a55d;
}

p.is-sold {
    color: red;
}






















.fg-carousel-bullet {
    width: 0.8em;
    height: 0.8em;
}


.has-highlight * {
	transition: all .5s;
}

.has-highlight:hover h2,
.has-highlight:hover p {
	background-color: #B2D8B2 !important; 
}




.custom-button {
	background: none;
	display: block;
}
.custom-button > * {
    white-space: nowrap;
	background: #3093d1;
    padding: 0.4em 25px;
    border-radius: 50px;
	color: white;
}

.custom-button > *:hover {
	background: var(--global-palette10, #3182CE);
	color: white !important;
}

#primary-menu .menu-item {
	background: #3093d1;
	margin: 0 .5em;
	padding: 0 25px;
	border-radius: 50px;
}

#primary-menu .menu-item > a {
	color: white !important;
}

#primary-menu .menu-item:hover {
	color: white;
	background: var(--global-palette10, #3182CE);
}

#primary-menu > .menu-item .sub-menu {
	background: none !important;
	box-shadow: none !important;
	padding-top: 10px;
	transform: translateX(-20px);
}

#primary-menu > .menu-item ul li.menu-item.current-menu-item {
	background: #3093d1;
}
#primary-menu > .menu-item ul li.menu-item.current-menu-item:hover {
	background: var(--global-palette10, #3182CE);
}

#primary-menu > .menu-item ul li.menu-item.current-menu-item > a {
    color: white;
    background: #3093d1;
    /*border-radius: 50px;*/
}

#primary-menu > .menu-item ul li.menu-item > a:hover {
	background: var(--global-palette10, #3182CE) !important;
}

